### Method

# GLib Node child_index

#### Declaration

    gint
    g_node_child_index (
      GNode* node,
      gpointer data
    )

#### Description

Gets the position of the first child of a `GNode` which contains the given data.

#### Parameters

`data`

  Type: `gpointer`

  The data to find.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gint`

The index of the child of `node` which contains `data`, or -1 if the data is not found.